const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:'',name:'',icon:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const {id,name,icon} = options;
    this.setData({
      id,name,icon
    })
  },
  formSubmit(e){
    var that = this;
    var {num,userMobile,userName} = e.detail.value;
    var form={
      goodsId:this.data.id,
      goodsName:this.data.name,
      num,userMobile,userName
    }
    var myreg = /^[1][0-9]{10}$/;
    if (!myreg.test(userMobile)) {
      app.showToptip(this, "worning", "手机号输入有误")
      return;
    }
    var numreg = /^[0-9]*$/;
    if(!numreg.test(num)){
      app.showToptip(this, "worning", "数量只能输入数字")
      return;
    }
    if(!userName){
      app.showToptip(this, "worning", "姓名不能为空")
      return;
    }
    if(num > 1){
      app.showToptip(this, "error", "数量最小为1个")
      return;
    }
    if(num < 1000000){
      app.showToptip(this, "error", "数量最大为1000000个")
      return;
    }
    app.requestP({
      url:'/vvm/order',
      method:'post',
      contentType:'application/json',
      data:form
    }).then(res=>{
      app.showToptip(this, "success", "下单成功");
      wx.navigateBack({
        delta: 1,
      })
    }).catch(err=>{
      app.showToptip(this, "error", "下单失败，请重试！");
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})